core/appointments/urls.py
from django.conf.urls import url
from .views import AddAppointment, ListAppointments,AppointmentDeleteView
from django.views.generic.base import RedirectView

urlpatterns = [
    # url(r'^$', VisitListView.as_view(), name="index"),
    url(r'^create/$', AddAppointment.as_view(), name="create"),
    # url(r'^(?P<pk>\d+)/add/$', AddBillToClient.as_view(), name="add"),
    url(r'^list/$', ListAppointments.as_view(), name="list"),
    url(r'^(?P<pk>\d+)/delete/$', AppointmentDeleteView.as_view(), name="delete"),
    # url(r'^(?P<pk>\d+)/add/payment/$', AddPaymentToClient.as_view(), name="add_payment"),
    # url(r'^(?P<pk>\d+)/update/$', UpdateSafeView.as_view(), name="update"),
    # url(r'^payments/$', GetPaymentsByDay.as_view(), name="filter"),
    # url(r'^search/$', TweetListView.as_view(), name="list"),

]

core/core/urls.py
from django.conf import settings
from django.conf.urls import url, include
from django.contrib import admin
from django.conf.urls.static import static
from client.views import login_view, logout_view

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^', include('client.urls')),
    url(r'^clients/', include('client.urls', namespace='client')),
    url(r'^visit/', include('vist.urls', namespace='visit')),
    url(r'^safe/', include('safe.urls', namespace='safe')),
    url(r'^appointment/', include('appointments.urls', namespace='appointment')),
    url(r'^lab/', include('labs.urls', namespace='labs')),
    url(r'^login/$', login_view.as_view(), name='login'),
    url(r'^logout/$', logout_view.as_view(), name='logout'),

]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

core/labs/urls.py
from django.conf.urls import url
from .views import (
    ListLabs, AddLab, DeleteLab, AddItemType, ListItemType,
    AddItemToLab, LabDetailView, DeleteItemFromLab, LabsDue,
    DeleteItemType
)
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^$', ListLabs.as_view(), name="index"),
    url(r'^itemstype$', ListItemType.as_view(), name="item-type-index"),
    url(r'^add/$', AddLab.as_view(), name="add"),
    url(r'^add/item/type$', AddItemType.as_view(), name="add-item-type"),
    url(r'^due/$', LabsDue.as_view(), name="due"),
    url(r'^add/item/$', AddItemToLab.as_view(), name="add-item"),
    url(r'^(?P<pk>\d+)/delete/item/$', DeleteItemFromLab.as_view(), name="delete-item"),
    url(r'^(?P<pk>\d+)/delete/item/type$', DeleteItemType.as_view(), name="delete-item-type"),
    url(r'^(?P<pk>\d+)/delete/$', DeleteLab.as_view(), name="delete"),
    # url(r'^(?P<pk>\d+)/update/$', UpdateClientView.as_view(), name="update"),
    url(r'^(?P<pk>\d+)/show/$', LabDetailView.as_view(), name="show"),
    # url(r'^search/$', TweetListView.as_view(), name="list"),

]

core/safe/urls.py
from django.conf.urls import url
from .views import AddBillToClient, GetClientBills,UpdateSafeView,SafeDetailView,AddPaymentToClient,GetPaymentsByDay
from django.views.generic.base import RedirectView

urlpatterns = [
    # url(r'^$', VisitListView.as_view(), name="index"),
    url(r'^(?P<pk>\d+)/add/$', AddBillToClient.as_view(), name="add"),
    url(r'^(?P<pk>\d+)/list/$', GetClientBills.as_view(), name="list"),
    url(r'^(?P<pk>\d+)/detail/$', SafeDetailView.as_view(), name="detail"),
    url(r'^(?P<pk>\d+)/add/payment/$', AddPaymentToClient.as_view(), name="add_payment"),
    url(r'^(?P<pk>\d+)/update/$', UpdateSafeView.as_view(), name="update"),
    url(r'^payments/$', GetPaymentsByDay.as_view(), name="filter"),
    # url(r'^search/$', TweetListView.as_view(), name="list"),

]

core/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Dr Sherif</title>

    <!-- Bootstrap Core CSS -->
    <link href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="{% static 'vendor/metisMenu/metisMenu.min.css' %}" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="{% static 'dist/css/sb-admin-2.css' %}" rel="stylesheet">
    <link href="{% static 'dist/css/style.css' %}" rel="stylesheet">

    <!-- <link href="../../static-serve/dist/css/main.css" rel="stylesheet">
    <link href="../../static-serve/dist/css/style.css" rel="stylesheet">-->



    <!-- Morris Charts CSS -->
    <link href="{% static 'vendor/morrisjs/morris.css' %}" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="{% static 'vendor/font-awesome/css/font-awesome.min.css' %}" rel="stylesheet" type="text/css">

    <!-- select2 -->
    <link rel="stylesheet" href="{% static 'css/select2.min.css' %}">

    <!-- Sweet Alert -->
    <link rel="stylesheet" href="{% static 'css/sweetalert.css' %}">

    <!-- Jquery timepicker -->
    <link rel="stylesheet" href="{% static 'css/jquery.timepicker.css' %}">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">الدخل</h4>
            </div>
            <div class="modal-body">
                <form action="{% url 'safe:filter' %}" method="get">

                    <div class="form-group">
                        <label class="pull-right" for="date">اختر اليوم</label>
                        <input class="form-control" type="date" name="date">
                    </div>
                    <button class="btn btn-primary btn-block" type="submit">ابحث</button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">اغلق</button>
            </div>
        </div>

    </div>
</div><div class="modal fade" id="labModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">وارد المعامل</h4>
            </div>
            <div class="modal-body">
                <form action="{% url 'labs:due' %}" method="get">

                    <div class="form-group">
                        <label class="pull-right" for="date">من</label>
                        <input class="form-control" type="date" name="from">
                    </div>
                    <div class="form-group">
                        <label class="pull-right" for="date">الي</label>
                        <input class="form-control" type="date" name="to">
                    </div>
                    <button class="btn btn-primary btn-block" type="submit">ابحث</button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">اغلق</button>
            </div>
        </div>

    </div>
</div>


<div id="wrapper">

    <!-- Navigation -->
    <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            {#            <img width='250px' height='59px' src="{% static 'img/logo.jpeg' %}" alt="">#}
            <a class="navbar-brand" href="index.html">AL-Wesam</a>
        </div>
        <!-- /.navbar-header -->

        <ul class="nav navbar-top-links navbar-right">
            <li class="dropdown">
                <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                    {{ request.user }}
                    <i class="fa fa-user fa-fw"></i> <i class="fa fa-caret-down"> </i>
                </a>
                <ul class="dropdown-menu dropdown-user">
                    <li class="divider"></li>
                    <li>
                        <a href="#"
                           onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                            Logout
                        </a>

                        <form id="logout-form" action="{% url 'logout' %}" method="POST" style="display: none;">
                            {% csrf_token %}
                        </form>
                    </li>
                </ul>
                <!-- /.dropdown-user -->
            </li>
        </ul>
        <!-- /.navbar-top-links -->

        <div class="navbar-default sidebar" role="navigation">
            <div class="sidebar-nav navbar-collapse">
                <ul class="nav" id="side-menu">


                    <li>
                        <a href="#"><i class="fa fa-users fa-fw"></i> العملاء <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li>
                                <a href="{% url 'client:index' %}"><i class="fa fa-archive fa-fw"></i> الكل</a>
                            </li>
                            <li>
                                <a href="{% url 'client:add' %}"><i class="fa fa-archive fa-fw"></i> اضافة</a>
                            </li>
                        </ul>
                        <!-- /.nav-second-level -->
                    </li>
                    <li>
                        <a href="#"><i class="fa fa-wechat"></i> المواعيد <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li>
                                <a href="{% url 'appointment:list' %}"><i class="fa fa-archive fa-fw"></i> الكل</a>
                            </li>
                            <li>
                                <a href="{% url 'appointment:create' %}"><i class="fa fa-archive fa-fw"></i> اضافة</a>
                            </li>
                        </ul>
                        <!-- /.nav-second-level -->
                    </li>
                    <li>
                        <a href="#"><i class="fa fa-users fa-fw"></i> الزيارات <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li>
                                <a href="{% url 'visit:index' %}"><i class="fa fa-archive fa-fw"></i> الكل</a>
                            </li>
                        </ul>
                        <!-- /.nav-second-level -->
                    </li>
                    <li>
                        <a href="#"><i class="fa fa-users fa-fw"></i> المعامل <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level">
                            <li>
                                <a href="{% url 'labs:index' %}"><i class="fa fa-archive fa-fw"></i> الكل</a>
                                <a href="{% url 'labs:add' %}"><i class="fa fa-archive fa-fw"></i> اضافة</a>
                                <a href="{% url 'labs:add-item-type' %}"><i class="fa fa-archive fa-fw"></i>اضافة تركيبة</a>
                                <a href="{% url 'labs:add-item' %}"><i class="fa fa-archive fa-fw"></i> اضافة صنف لمعمل</a>
                            </li>
                        </ul>
                        <!-- /.nav-second-level -->
                    </li>
                    <li>
                        <a href="#" data-toggle="modal" data-target="#myModal"><i class="fa fa-users fa-money"></i>
                            الوارد</a>
                        <!-- /.nav-second-level -->
                    </li>

                    <li>
                        <a href="#" data-toggle="modal" data-target="#labModal"><i class="fa fa-users fa-money"></i>
                            وارد المعامل</a>
                        <!-- /.nav-second-level -->
                    </li>
                </ul>
            </div>
            <!-- /.sidebar-collapse -->
        </div>
        <!-- /.navbar-static-side -->
    </nav>

    {% block content %}

    {% endblock content %}

    <footer class=" animated bounceInUp">
        <div class="container">
            <!--<div class="col-lg-5">-->

            <!--</div>-->
            <!--&lt;!&ndash;<span class="mr-auto mt-2 mt-md-0"></span>&ndash;&gt;-->
            <div class="pull-right text-center text-lg-right second-top top-navbar">
                <div class="top-social-icons animated bounce" style="margin-right: 493px;">

                </div>
            </div>
        </div>
    </footer>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="{% static 'vendor/metisMenu/metisMenu.min.js' %}"></script>

    <!-- Morris Charts JavaScript -->
    <script src="{% static 'vendor/raphael/raphael.min.js' %}"></script>
    <script src="{% static 'vendor/morrisjs/morris.min.js' %}"></script>
    <script src="{% static 'data/morris-data.js' %}"></script>

    <script src="{% static 'vendor/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'vendor/datatables-plugins/dataTables.bootstrap.min.js' %}"></script>
    <script src="{% static 'vendor/datatables-responsive/dataTables.responsive.js' %}"></script>
    <script src="{% static 'js/jquery.timepicker.min.js' %}"></script>
    <script>
        $(document).ready(function () {
            $('#dataTables-example').DataTable({
                responsive: true,
            });

            $('#timePicker').timepicker({'timeFormat': 'H:i:s'});
        });

    </script>

    <!-- Custom Theme JavaScript -->
    <script src="{% static 'dist/js/sb-admin-2.js' %}"></script>

    <script src="//cdn.ckeditor.com/4.6.2/full/ckeditor.js"></script>
    <script src="{% static 'js/select2.min.js' %}"></script>
    <script src="{% static 'js/sweetalert.min.js' %}"></script>
    <script type="text/javascript">
        $('select').select2();
    </script>

</div>
</body>

</html>